[oe-commits] Nitin A Kamble : create-pull-request: detect trailing white space

git at git.openembedded.org git at git.openembedded.org
Thu Dec 13 15:18:13 UTC 2012


Module: openembedded-core.git
Branch: master
Commit: 3e35310db3cd6d265092724a0e542b9616aca9c5
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=3e35310db3cd6d265092724a0e542b9616aca9c5

Author: Nitin A Kamble <nitin.a.kamble at intel.com>
Date:   Tue Dec 11 09:28:03 2012 -0800

create-pull-request: detect trailing white space

Add logic in the create-pull-request to detect and warn about the
trailing white space inserted by patches.

Signed-off-by: Nitin A Kamble <nitin.a.kamble at intel.com>
Signed-off-by: Saul Wold <sgw at linux.intel.com>

---

 scripts/create-pull-request |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/scripts/create-pull-request b/scripts/create-pull-request
index 9a8913d..9692bf1 100755
--- a/scripts/create-pull-request
+++ b/scripts/create-pull-request
@@ -229,3 +229,11 @@ Review their content, especially the summary mail:
 When you are satisfied, you can send them with:
     send-pull-request -a -p $ODIR
 EOM
+
+# Check the patches for trailing white space
+egrep -q -e "^\+.*\s+$" $ODIR/*
+if [ $? -ne 1 ]; then
+	echo
+	echo "WARNING: Trailing white space detected at these locations"
+	egrep -nH --color -e "^\+.*\s+$" $ODIR/*
+fi





More information about the Openembedded-commits mailing list